Межсайтовый скриптинг в Apache Tomcat

Дата публикации:
03.06.2008
Дата изменения:
13.10.2008
Всего просмотров:
2293
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Apache Tomcat 5.x
Apache Tomcat 6.x
Уязвимые версии: Apache Tomcat версии 5.5.9 по 5.5.26, 6.0.0 по 6.0.16

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "name" в host-manager/html/add. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: tomcat.apache.org

Решение: Установите последнюю версию 5.5.27 или 6.0.18 с сайта производителя.

Журнал изменений:

13.10.2008
Изменена секция «Решение».

или введите имя

CAPTCHA